Package ru.bitel.bgbilling.kernel.event.events

# Class ContractStatusModifiedEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.PoolEvent
ru.bitel.bgbilling.kernel.event.events.ContractStatusModifiedEvent

All Implemented Interfaces:
  `Serializable`

public class ContractStatusModifiedEvent extends ru.bitel.bgbilling.kernel.event.common.PoolEvent

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ContractStatusModifiedEvent()`
  ``
  `ContractStatusModifiedEvent(int contractId, int userId, ContractStatus oldContractStatus, ContractStatus newContractStatus)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ContractStatus`
  `getNewContractStatus()`
  `ContractStatus`
  `getOldContractStatus()`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ContractStatusModifiedEvent

    protected ContractStatusModifiedEvent()

  - ### ContractStatusModifiedEvent

    public ContractStatusModifiedEvent(int contractId, int userId, ContractStatus oldContractStatus, ContractStatus newContractStatus)

- ## Method Details

  - ### getOldContractStatus

    public ContractStatus getOldContractStatus()

  - ### getNewContractStatus

    public ContractStatus getNewContractStatus()